# Gas Form System

This repository contains the Gas Form System for the Montana Dinosaur Center. The system is designed to streamline the process of recording and managing fuel transactions for museum vehicles.

## Features

- Simple and user-friendly form for fuel transaction entries
- Secure storage of fuel purchase records
- Easy retrieval and reporting of fuel expenses

## Getting Started

### Prerequisites

To use or modify the Gas Form System, ensure you have:

- A modern web browser for web-based usage
- [Git](https://git-scm.com/) installed for cloning and contributing
- Basic knowledge of HTML, JavaScript, and server-side scripting (if modifications are needed)

### Installation

1. Clone the repository:

   ```sh
   git clone https://github.com/tmdinosaurcenter/gas-form.git
   cd gas-form```

2. Open index.html in a web browser to access the form.

## Usage

1. Enter the required information, including:
   - Vehicle information
   -  Mileage at time of fill up
   - Fuel quantity
   - Fuel cost

2. Submit the form to log the entry.

## Contribution

Contributions are welcome! To contribute:

1. Fork the repository.
2. Create a feature branch `(git checkout -b feature-branch)`.
3. Commit your changes `(git commit -m "Add new feature")`.
4. Push to the branch `(git push origin feature-branch)`.
5. Create a Pull Request.

## License

This project is licensed under the MIT License. See the [LICENSE] file for details.
